On Thu, 2024-07-25 at 07:35 +0200, Ulrich Müller wrote:
Signed-off-by: Ulrich Müller <[email protected]>
---
eclass/savedconfig.eclass | 12 ++++++------
1 file changed, 6 insertions(+), 6 deletions(-)
diff --git a/eclass/savedconfig.eclass b/eclass/savedconfig.eclass
index cc5748543078..65a1f3bfd800 100644
--- a/eclass/savedconfig.eclass
+++ b/eclass/savedconfig.eclass
@@ -1,10 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: savedconfig.eclass
# @MAINTAINER:
# [email protected]
-# @SUPPORTED_EAPIS: 6 7 8
+# @SUPPORTED_EAPIS: 7 8
# @BLURB: common API for saving/restoring complex configuration files
# @DESCRIPTION:
# It is not uncommon to come across a package which has a very fine
@@ -31,7 +31,7 @@
# build.
case ${EAPI} in
- 6|7|8) ;;
+ 7|8) ;;
*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
esac
@@ -60,12 +60,12 @@ save_config() {
if [[ $# -eq 1 && -f $1 ]] ; then
# Just one file, so have the ${configfile} be that config file
dodir "${configfile%/*}"
- cp "$@" "${ED%/}/${configfile}" || die "failed to save $*"
+ cp "$@" "${ED}/${configfile}" || die "failed to save $*"
else
# A dir, or multiple files, so have the ${configfile} be a dir
# with all the saved stuff below it
dodir "${configfile}"
- treecopy "$@" "${ED%/}/${configfile}" || die "failed to save $*"
+ treecopy "$@" "${ED}/${configfile}" || die "failed to save $*"
fi
elog "Your configuration for ${CATEGORY}/${PF} has been saved in "
@@ -150,7 +150,7 @@ savedconfig_pkg_postinst() {
# are worse :/.
if use savedconfig ; then
- find "${EROOT%/}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
+ find "${EROOT}/etc/portage/savedconfig/${CATEGORY}/${PF}" \
-exec touch {} + 2>/dev/null
fi
}
Ack.
-----BEGIN PGP SIGNATURE-----
iQJFBAABCAAvFiEEPxcZ3tkwcedKm2a8EiZBXQDdMTcFAmaiBo0RHGNoZXdpQGdl bnRvby5vcmcACgkQEiZBXQDdMTd8exAAkAcZ3hguGCUC+PbIs45RnhOm+Bf5sAgg 0+czBlM04BDKI8rjKQo0BXn7KPm9MI+nZ/2DNtFvheRaUZzwkoiqcm6BoyxcVF9c sF1IV2yHh0HkoFojS0PhTG71cJKcDKlTgEzaiubRfzwr7B0Xuphy/gP8/M+CcW1s xu0TkCtBKPwhVksikgJ8EdmZ5SYEPXKuNPo0xwi0Gpy8qX9r17UD1fZzWmp/PtXs iqUP85IANgFRuVQbRX5QQjCTWpLKcE97IwLV+lAbO66+S/QA/SJx4XiG4J5qEbMX ZcMnuVrmGO+isxq/6PrDwBwm5C6eLKWUSwLgHV9Rv73kMGAX0e5xEFQFvB8ctxFv VcxkfBnphYnsU1Y5JfFPOUxCt4njGkchI2aOUWVqXzfJKC/0/k6YNpPU853vXv9J bMo3Wi5EQs5fvOI3rdGSv7Wexk9LMe/Kd49+S/gGzXnOTyMM8yJ4xW+8j4zZtzhw gCNkHYz+MJfMONCP/qjgJdrjJcGW/VZb9LmMi7rxmE8jm0aAi43Mt75snB0bE+4a Mzrqwbh0+tKaJ02A7QXL8uKJ9m/a4DkT7dJN91xNjR3eLXyiNZT6Wzmfp5x3g3Id EVatkWwUQrPlUGVKsi9h/NIGb3115btS2bZxKVAAdCEn/NDF5hP0vogyBu7sPCHN
B3PW04a8syE=
=RKYS
-----END PGP SIGNATURE-----
--- SoupGate-Win32 v1.05
* Origin: fsxNet Usenet Gateway (21:1/5)